Subject: bug#25107: Acknowledgement (Patches to clean up ispell.el)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Dec 2016 18:37:03 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Tue, 6 Dec 2016 16:20:24 +0000
> Cc: [email-masked]
> 
>  Why is it useful to remove this information? The documentation of the
>  spell-checkers themselves leaves a lot to be desired, so asking the
>  users to go consult it might not be appreciated. I'd rather add here
>  the missing info about the other spellers.
> 
> ​Emacs is enough for us to document without trying to document third-party software. Since all the software
> involved is free, better to fix it directly, and benefit all its users, rather than take on the burden of documenting
> it in order only to benefit Emacs users.

I agree with the general point, but in this case we are talking about
mentioning a small number of file names in the doc string.  Doesn't
seem like a burden to me, and whoever put that information there
probably didn't see it as such, either.

>  > * lisp/textmodes/ispell.el (ispell-version): Since ispell.el is now
>  > firmly part of Emacs, and the version hasn’t changed since 2003, and
>  > isn’t used anywhere, remove it. 3rd-party code can better use the
>  > Emacs version, or feature or function checks.
> 
>  I agree, but instead of removing the information, how about replacing
>  it with the Emacs version? Something like "ispell.el from Emacs %s".
> 
> The context is an interactive call to ispell-check-version, which reports what version of the spell-checker is
> being used. If the user wishes to know what version of Emacs they are running, they can check
> emacs-version.

I was thinking about someone using the result to report the version
they have, e.g. as part of a bug report.